Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Data Fields
Lucene::StringIndex Class Reference

Stores term text values and document ordering data. More...

`#include <FieldCache.h>`

Inheritance diagram for Lucene::StringIndex:

## Public Member Functions

| StringIndex (Collection< int32_t > values, Collection< String > lookup)
virtual | ~StringIndex ()
virtual String | getClassName ()
boost::shared_ptr< StringIndex > | shared_from_this ()
int32_t | binarySearchLookup (const String &key)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

Collection< String > | lookup
| All the term values, in natural order. More...
Collection< int32_t > | order
| For each document, an index into the lookup array. More...

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Stores term text values and document ordering data.

## Constructor & Destructor Documentation

Lucene::StringIndex::StringIndex | ( | Collection< int32_t > | values,
|  | Collection< String > | lookup
| ) |  |

virtual Lucene::StringIndex::~StringIndex | ( |  | ) |

virtual

## Member Function Documentation

static String Lucene::StringIndex::_getClassName | ( |  | ) |

inline static

int32_t Lucene::StringIndex::binarySearchLookup | ( | const String & | key | ) |

virtual String Lucene::StringIndex::getClassName | ( |  | ) |

inline virtual

boost::shared_ptr< StringIndex > Lucene::StringIndex::shared_from_this | ( |  | ) |

inline

## Field Documentation

Collection<String> Lucene::StringIndex::lookup

All the term values, in natural order.

Collection<int32_t> Lucene::StringIndex::order

For each document, an index into the lookup array.

The documentation for this class was generated from the following file:

- FieldCache.h

clucene.sourceforge.net